# $Revision: 1.5 $, $Date: 2002/03/19 20:01:46 $
Summary:	A partitioning tool for Apple Macintosh-style partitioned disks
Summary(pl):	Narzdzie do partycjonowania dyskw Apple Macintosh
Name:		pdisk
Version:	0.8
Release:	3
License:	Apple Free Copyright
Group:		Applications/System
Source0:	ftp://cfcl.com/pub/ev/%{name}.20000516.src.tar
Patch0:		%{name}-docs.patch
Patch1:		%{name}-CC.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
pdisk enables you to view and modify Apple Macintosh-style partition
maps. Normally, it is used to create MkLinux (or PPC Linux) partitions
on your disk, however, it can create partitions of any type, including
HFS (except it would be up to Mac OS or some other tool to actually
create the HFS filesystem in that HFS partition). pdisk won't put Mac
OS disk drivers onto your disk.

%description -l pl
pdisk jest odpowiednikiem fdiska, umoliwiajcym podgld i modyfikacj
tablic partycji zapisanych w formacie Apple Macintosh. Jest uywany do
tworzenia partycji linuksowych na dysku, a take do tworzenia partycji
innych typw, takich jak HFS. Nie nagrywa sterownikw pod MacOS na
dysk.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} CC="%{__cc}" LDFLAGS="%{rpmldflags}" CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install pdisk $RPM_BUILD_ROOT%{_sbindir}/pdisk
install cvt_pt $RPM_BUILD_ROOT%{_sbindir}/cvt_pt
install pdisk.8 $RPM_BUILD_ROOT%{_mandir}/man8/pdisk.8

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz pdisk.html
%attr(755,root,root) %{_sbindir}/pdisk
%attr(755,root,root) %{_sbindir}/cvt_pt
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pdisk.spec,v $
Revision 1.5  2002/03/19 20:01:46  kloczek
- cosmetics.

Revision 1.4  2002/03/19 13:20:48  malekith
- pass cc, ldflags and cflags to make
- added CC patch (link with %%{__cc})

Revision 1.3  2002/03/19 08:36:56  qboosh
- typos and cosmetics

Revision 1.2  2002/03/19 02:26:01  marcus
- addedd PL Summary

Revision 1.1  2002/03/19 00:54:53  marcus
- initial PLD version, adapterized
- spec based on pec from ellow Dog PPC distribution
- rel.3.

Based on spec by Hollis Blanchard <hollis@yellowdoglinux.com>
